package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TMtdDaily;

/**
 * 调度会议Service接口
 *
 * @author ssy
 * @date 2023-11-14
 */
public interface ITMtdDailyService
{
    /**
     * 查询调度会议
     *
     * @param id 调度会议ID
     * @return 调度会议
     */
    public TMtdDaily selectTMtdDailyById(Long id);

    /**
     * 查询调度会议列表
     *
     * @param tMtdDaily 调度会议
     * @return 调度会议集合
     */
    public List<TMtdDaily> selectTMtdDailyList(TMtdDaily tMtdDaily);

    /**
     * 新增调度会议
     *
     * @param tMtdDaily 调度会议
     * @return 结果
     */
    public int insertTMtdDaily(TMtdDaily tMtdDaily);

    /**
     * 修改调度会议
     *
     * @param tMtdDaily 调度会议
     * @return 结果
     */
    public int updateTMtdDaily(TMtdDaily tMtdDaily);

    /**
     * 批量删除调度会议
     *
     * @param ids 需要删除的调度会议ID
     * @return 结果
     */
    public int deleteTMtdDailyByIds(Long[] ids);

    /**
     * 删除调度会议信息
     *
     * @param id 调度会议ID
     * @return 结果
     */
    public int deleteTMtdDailyById(Long id);
}
